{% extends 'base.html' %}

{% block content %}
{% if featured_posts %}
    <h2>Featured Posts</h2>
    <h4>Number of visits: {{ count }}</h4>
    <ul class="list-group mb-4">
        {% for featured in featured_posts %}
        <li class="list-group-item">
            <a href="{% url 'post_detail' featured.post.pk %}">{{ featured.post.title }}</a>
        </li>
        {% endfor %}
    </ul>
{% endif %}
<h2>All Posts</h2>
<div class="list-group">
    {% for post in posts %}
    <div class="list-group-item mb-2">
        <h3>{{ post.title }}</h3>
        <p><strong>Author:</strong> {{ post.author }}</p>
        <p><strong>Date Posted:</strong> {{ post.date_posted }}</p>
        <p>{{ post.content|truncatewords:20 }}</p>
        <div class="d-flex justify-content-between">
            <a href="{% url 'post_detail' post.pk %}" class="btn btn-primary btn-sm">Detail</a>
            {% if request.user == post.author %}
            <div>
                <a href="{% url 'post_update' post.pk %}" class="btn btn-warning btn-sm">Edit</a>
                <a href="{% url 'post_delete' post.pk %}" class="btn btn-danger btn-sm">Delete</a>
            </div>
            {% endif %}
        </div>
    </div>
    {% endfor %}
</div>

<a href="{% url 'post_create' %}" class="btn btn-success mt-4">Create New Post</a>
{% endblock %}